Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2018238 - Review Request: python-read-roi - Read ROI files .zip or .roi generated with ImageJ.
Summary: Review Request: python-read-roi - Read ROI files .zip or .roi generated with...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro, NeuroFedora
TreeView+ depends on / blocked
 
Reported: 2021-10-28 15:02 UTC by Adeleye Opeyemi
Modified: 2022-02-19 01:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-19 01:09:39 UTC
Type: ---
Embargoed:
sanjay.ankur: fedora-review+


Attachments (Terms of Use)

Description Adeleye Opeyemi 2021-10-28 15:02:06 UTC
Spec URL: https://pagure.io/python-read-roi/raw/main/f/python-read-roi.spec
SRPM URL: https://pagure.io/python-read-roi/raw/main/f/python-read-roi-1.6.0-1.fc36.src.rpm
Description: Read ROI files .zip or .roi generated with ImageJ.


Fedora Account System Username: hardeborlaa

Comment 1 Adeleye Opeyemi 2021-10-30 14:47:57 UTC
I am a new packager and I need a sponsor.

Comment 2 Hafsat 2021-11-05 03:37:00 UTC
This is an unofficial review. I am looking for a Sponsor.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package must not depend on deprecated() packages.
  Note: python3-nose is deprecated, you must not depend on it.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/deprecating-packages/

The rpmlint tests I carried out were successful.



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-Clause License". 54 files have
     unknown license. Detailed output of licensecheck in
     /home/hafsat/Documents/outreachy/neuroFedora/reviews/2018238-python-
     read-roi/licensecheck.txt
[?]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[?]: Package contains desktop file if it is a GUI application.
[?]: Development files must be in a -devel package
[?]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[?]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[?]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[?]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[?]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.



Source checksums
----------------
https://github.com/hadim/read-roi/archive/0dea04fb83fe7096ae68753f0d75299a5426f372/python-read-roi-0dea04f.tar.gz :
  CHECKSUM(SHA256) this package     : 4a42143b0d335b2ac8c186103f8b5b6c7611cfa994e8a72da01f9aeef84b2a1d
  CHECKSUM(SHA256) upstream package : 4a42143b0d335b2ac8c186103f8b5b6c7611cfa994e8a72da01f9aeef84b2a1d


Requires
--------
python3-read-roi (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-read-roi:
    python-read-roi
    python3-read-roi
    python3.10-read-roi
    python3.10dist(read-roi)
    python3dist(read-roi)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2018238
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Python, Generic
Disabled plugins: Perl, PHP, fonts, C/C++, Ocaml, Haskell, Java, R, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Ben Beasley 2021-11-08 20:16:34 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Package must not depend on deprecated() packages.
  Note: python3-nose is deprecated, you must not depend on it.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/deprecating-packages/

  If you already had a package that used nose, you would not be compelled to
  change it right away, but a new package can’t be approved with a nose
  dependency. Please see https://fedoraproject.org/wiki/Changes/DeprecateNose
  for details on the deprecation and typical workarounds.

  The best thing to do is to devise a patch that removes the nose dependency,
  submit it upstream
  (https://docs.fedoraproject.org/en-US/packaging-guidelines/PatchUpstreamStatus/),
  and apply it downstream.

  This is not very hard in the case of this package, since nose is used only
  for the nose.tools.nottest decorator, and that in only one spot. I sent a PR
  upstream (https://github.com/hadim/read-roi/pull/27).

  You can add:

    Patch0:         %{url}/pull/27.patch

  and change

    %autosetup -n read-roi-%{commit}

  to

    %autosetup -n read-roi-%{commit} -p1

  then fetch the patch with

    spectool -g python-read-roi.spec

  replace

    BuildRequires:  python3-pytest
    BuildRequires:  python3-nose

  with

    BuildRequires:  python3dist(nose2)

  (I can’t get pytest to work here as a test runner), and, replace

    %pytest

  with

    PYTHONPATH='%{buildroot}%{python3_sitelib}' nose2

- You’ve packaged from a particular commit in the upstream git repository. It’s
  okay to do this (preferably given a concrete reason, which it’s nice to
  mention in a spec file comment), but you’ll need to ensure the snapshot
  information field is in the Release
  (https://docs.fedoraproject.org/en-US/packaging-guidelines/Versioning/#_snapshots).
  The easiest way to add the snapshot information is to use the “forge” macros
  (https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/#_commit_example).

  However, the commit you selected is the same as the 1.6.0 release tag, which
  makes me think this was just copied from another spec file rather than
  intentional. You can still use the “forge” macros to package from a tag on
  GitHub, but it’s so easy to construct the URL that I recommend doing it
  directly. Instead of:

    %global commit 0dea04fb83fe7096ae68753f0d75299a5426f372
    %global shortcommit %(c=%{commit}; echo ${c:0:7})
    Name:           python-read-roi
    Version:        1.6.0
    Release:        1%{?dist}
    Summary:        Read ROI files .zip or .roi generated with imagej

    License:        BSD
    URL:            https://github.com/hadim/read-roi/
    Source0:        https://github.com/hadim/read-roi/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

    […]

    %autosetup -n read-roi-%{commit}

  consider:

    Name:           python-read-roi
    Version:        1.6.0
    Release:        1%{?dist}
    Summary:        Read ROI files .zip or .roi generated with imagej

    License:        BSD
    URL:            https://github.com/hadim/read-roi/
    Source0:        https://github.com/hadim/read-roi/archive/%{version}/%{name}-%{version}.tar.gz

    […]

    %autosetup -n read-roi-%{version}

  or even, if you like, shorten the Source0 as:

    Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

- It is OK to call

    %py3_check_import read_roi

  but it is really only intended as a better-than-nothing “smoke tests” for
  packages where the upstream tests are not present or, for one reason or
  another, can’t be run in the RPM build environment. Since you’re running the
  upstream tests, feel free to drop it.

  Note also that there is now a %pyproject_check_import that needs no arguments
  and automatically finds and imports all public API modules in the package,
  and I would suggest using this instead where a %*_check_import macro is
  needed.

- This changelog format is not correct:

    *Thu Oct 28 2021 Adeleye Opeyemi <adebola786 AT gmail DOT com> -
    1.6.0-1 for read-roi

  You can use “rpmdev-bumpspec -c 'My message here' *.spec” to construct a
  correctly-formatted one.

  In particular, the version can’t wrap onto a second line, and I don’t know
  what the “for read-roi” is for.

  This should look something like:

    * Thu Oct 28 2021 Adeleye Opeyemi <adebola786 AT gmail DOT com> - 1.6.0-1

- The package for python-glymur had most of the same issues noted above at
  first (https://bugzilla.redhat.com/show_bug.cgi?id=2016693). Is there a spec
  file template or tutorial that you were both following? Perhaps I can suggest
  a few improvements to it.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-Clause License". 54 files have
     unknown license. Detailed output of licensecheck in
     /home/reviewer/2018238-python-read-roi/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[!]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines

     (except as noted)

[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build
     process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.

     (based on tests passing)

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/hadim/read-roi/archive/0dea04fb83fe7096ae68753f0d75299a5426f372/python-read-roi-0dea04f.tar.gz :
  CHECKSUM(SHA256) this package     : 4a42143b0d335b2ac8c186103f8b5b6c7611cfa994e8a72da01f9aeef84b2a1d
  CHECKSUM(SHA256) upstream package : 4a42143b0d335b2ac8c186103f8b5b6c7611cfa994e8a72da01f9aeef84b2a1d


Requires
--------
python3-read-roi (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-read-roi:
    python-read-roi
    python3-read-roi
    python3.10-read-roi
    python3.10dist(read-roi)
    python3dist(read-roi)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2018238
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Python
Disabled plugins: SugarActivity, Perl, fonts, PHP, R, Ocaml, Haskell, C/C++, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH
============================ rpmlint session starts ============================
rpmlint: 2.1.0
configuration:
    /usr/lib/python3.10/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/licenses.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 2

 2 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.6 s

Comment 4 Adeleye Opeyemi 2021-11-09 07:07:25 UTC
Thank you very much for the review @code. I will make all the changes as listed above. As regards python-glymur package having most of the same first issues, it was probably because we were both in the same tutorial. But the tutorial was not documented. Thank you very much :))

Comment 5 Adeleye Opeyemi 2021-11-10 09:44:58 UTC
Thank you @code. I have made update has suggested. This is the updated spec and srpm url:

Spec URL: https://pagure.io/python-read-roi/raw/master/f/python-read-roi.spec

SRPM URL: https://pagure.io/python-read-roi/raw/master/f/python-read-roi-1.6.0-1.fc36.src.rpm

Changes
-Added Patch0
-Added BuildRequires
-Updated Source0
-Updated changelog

Comment 6 Ben Beasley 2021-11-10 17:35:54 UTC
Thanks! I have one remaining suggestion, but the package is approved with or without the suggested change.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== Issues =====

- It’s preferred in Fedora to reference Python dependencies by their canonical
  project names rather than by the names of the RPMs that provide them, e.g.

    BuildRequires:  python3-nose2

  would be better written as

    BuildRequires:  python3dist(nose2)

  or as

    BuildRequires:  %{py3_dist nose2}

  See
  https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Machine-readable-provides
  about *providing* these machine-readable provides (which this package does
  correctly),
  https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_test_dependencies_2
  for an example of depending on pytest with this style of dependency, and
  https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_manual_generation
  for documentation for the %py3_dist macro.

  I don’t know of any guideline that says you “SHOULD” express dependencies
  this way, so no change is required for approval.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-Clause License". 54 files have
     unknown license. Detailed output of licensecheck in
     /home/reviewer/2018238-python-read-roi/20211110/2018238-python-read-
     roi/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.

     (based on tests passing)

[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Cannot parse rpmlint output:


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Source checksums
----------------
https://github.com/hadim/read-roi//archive/1.6.0/python-read-roi-1.6.0.tar.gz :
  CHECKSUM(SHA256) this package     : 1a25919a13611f07b6a55bf2a04e4821e19a0fe4e83be4a908aeeab18d39328b
  CHECKSUM(SHA256) upstream package : 1a25919a13611f07b6a55bf2a04e4821e19a0fe4e83be4a908aeeab18d39328b


Requires
--------
python3-read-roi (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-read-roi:
    python-read-roi
    python3-read-roi
    python3.10-read-roi
    python3.10dist(read-roi)
    python3dist(read-roi)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 2018238
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Python, Generic
Disabled plugins: Perl, Java, PHP, fonts, SugarActivity, C/C++, Ocaml, Haskell, R
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 7 Adeleye Opeyemi 2021-11-11 19:41:33 UTC
Thank you @code. I see reasons with your suggestion after going through the attached documentations. Here is the updated spec and srpm url:

Spec URL: https://pagure.io/python-read-roi/raw/master/f/python-read-roi.spec

SRPM URL: https://pagure.io/python-read-roi/raw/master/f/python-read-roi-1.6.0-1.fc36.src.rpm

Comment 8 Ben Beasley 2021-11-14 16:06:48 UTC
Thanks. Please note that the package was already approved, even without the latest update, so you can go ahead and request a repository.

Note that you committed the `results_python-read-roi` directory by accident in https://pagure.io/python-read-roi/c/83e5f5025d7d04d306f40730f239fafe51dc2786; please make sure that isn’t included in the dist-git import once you request a repository.

Comment 9 Ankur Sinha (FranciscoD) 2021-11-14 17:44:30 UTC
Hi Adeleye,

As per https://docs.fedoraproject.org/en-US/package-maintainers/How_to_Get_Sponsored_into_the_Packager_Group/#show_your_expertise_by_commenting_on_other_review_requests,  could you please list the reviews you've done here so we can take a look at them?


Cheers,
Ankur

Comment 10 Adeleye Opeyemi 2021-11-14 19:31:15 UTC
Thanks Ben. The `results_python-read-roi` directory was committed accidentally and will make sure not to include it once I request for a repository.

Comment 12 Ankur Sinha (FranciscoD) 2021-11-26 15:43:39 UTC
Hi Adeleye,


Sorry for the delay, busy times at the job :)

I've had a look at your reviews and while there's still more for us to learn, I think you're quite ready to be a package maintainer and learn while you work with more packages.

So, I've now sponsored you to the package maintainers group. Congratulations! :)

Please log out and back in to https://src.fedoraproject.org, which will sync it's database to give you the right permissions.

Then, please continue from here to request a repository and import your package:
https://docs.fedoraproject.org/en-US/package-maintainers/New_Package_Process_for_New_Contributors/#add_package_to_source_code_management_scm_system_and_set_owner

Please do also go to the "settings" of the new repository to give the `neuro-sig` admin access to the repository so that we can all maintain these packages together.

Cheers,
Ankur

Comment 13 Ankur Sinha (FranciscoD) 2022-01-17 13:38:05 UTC
Hi @adebola786 

Could you proceed with importing this package please? It has been approved and you've also been sponsored to the neuro-sig now :)

Please ping us in the matrix/element channel if you're unsure about what to do now.

Cheers,
Ankur

Comment 14 Ankur Sinha (FranciscoD) 2022-01-24 10:39:19 UTC
Resetting review approved flag so that the scm request can be made (doesn't work at the moment because the flag was set more than 60 days ago).

Comment 15 Ankur Sinha (FranciscoD) 2022-01-24 10:40:23 UTC
(also "taking" the ticket in case `fedpkg request-repo` checks to see that the assignee and flag setter are the same etc.)

Comment 16 Gwyn Ciesla 2022-01-24 17:23:42 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-read-roi

Comment 17 Ankur Sinha (FranciscoD) 2022-01-27 09:18:42 UTC
Please proceed with importing the package using these instructions (and please ping me if any steps are confusing etc.):

https://pagure.io/fedora-docs/package-maintainer-docs/issue/56

Also pinged you in the channel about this.

Comment 18 Fedora Update System 2022-02-10 14:30:18 UTC
FEDORA-2022-4227851f4c has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-4227851f4c

Comment 19 Fedora Update System 2022-02-10 14:30:19 UTC
FEDORA-2022-94e1653bc4 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-94e1653bc4

Comment 20 Fedora Update System 2022-02-11 02:14:17 UTC
FEDORA-2022-94e1653bc4 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-94e1653bc4 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-94e1653bc4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2022-02-11 02:26:01 UTC
FEDORA-2022-4227851f4c has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-4227851f4c \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-4227851f4c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2022-02-19 01:09:39 UTC
FEDORA-2022-4227851f4c has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2022-02-19 01:31:00 UTC
FEDORA-2022-94e1653bc4 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.